Subject: Re: [PATCH 3/3] powerpc: Convert fsl_rstcr_restart to a reset handler

From: Scott Wood <[email-masked]>
Date: Tue, 26 Jul 2016 16:26:18 -0500

On Tue, 2016-07-26 at 14:22 -0700, Andrey Smirnov wrote:
> On Tue, Jul 26, 2016 at 12:59 AM, Scott Wood <[email-masked]> wrote:
> > 
> > On Mon, 2016-07-25 at 21:25 -0700, Andrey Smirnov wrote:
> > > 
> > > Convert fsl_rstcr_restart into a function to be registered with
> > > register_reset_handler() API and introduce fls_rstcr_restart_register()
> > > function that can be added as an initcall that would do aforementioned
> > > registration.
> > > 
> > > Signed-off-by: Andrey Smirnov <[email-masked]>
> > Is there a particular motivation for this (e.g. new handlers you plan to
> > register elsewhere)?
> I have a MPC8548 based board that which uses, at least for time being,
> SBC8548's init code(by claiming compatibility in DT) which has an
> external watchdog that implements reset functionality. The driver for
> watchdog is just a generic watchdog driver and having an ability to
> register custom reset handlers is very handy.
> 
> I don't really have any motivation for fixing boards other than
> SBC8548 and even that I can avoid doing by making a new custom board
> file in my tree that would not populate .reset field. I can drop this
> patch from the series if the code of those boards is in "don't touch
> it unless absolutely have to" state.

I'm not saying not to touch it -- I just wanted to understand the context.

-Scott